Certificado digital na receita

Olá, pessoal. Seguinte: estou tentando acessar o site e-cac da Receita com o meu certificado digital. Consigo fazer a instalação dos certificados disponíveis no site, inclusive o do icp-brasil, mas não funciona. Lá no site fala que, se não funcionar, para verificar:

  • Se o sistema operacional NÃO for Windows, verifique junto ao fornecedor se o sistema suporta o uso da função de hash SHA-2.
    Como faço para saber se o linux suporta o uso dessa função? Tem mais alguma configuração necessária? Agradeço a todos e um grande abraço.
1 Curtida

Olá!

Se você utiliza o Firefox, tente ir em:
Menu > Preferências > Privacidade e Segurança > Certificados > Ver Certificados

No Chrome:
Menu > Configurações > Pesquise por “Certificados”

Veja se o seu certificado está instalado corretamente…

Como eu acredito que você esteja usando o Chrome, ele é meio chato para instalar os certificados nele. Já tive problemas com isso, pois o certificado estava instalado corretamente no Firefox, porém no Chrome não.

Caso não encontre no Chrome o certificado, tenta exportar os certificados do Firefox e importar no Chrome.

No Firefox vá:
Menu > Preferências > Privacidade e Segurança > Certificados > Ver Certificados
Selecione o certificado desejado e clique em “Exportar”

No Chrome:
Menu > Configurações > Pesquise por “Certificados” > Seus Certificados > Importar

Espero ter ajudado!

2 Curtidas

Vlw, @Miura. Fiz esse procedimento, mas acho que tem algo a mais. Ou então é o meu leitor de cartão que não é apropriado, pois tanto no Linux quanto no Windows o problema acontece, mesmo fazendo a instalação como você mostrou. Vou ver se consigo um leitor de cartão que seja compatível, se é isso que está acontecendo. Obrigado!

Você já usava antes o Certificado A3 (Cartão) e renovou recentemente recebendo um novo cartão?
O led do leitor fica piscando pausadamente?

Não, não usava. É que eu comprei um leitor de cartões da Contac, e estou tentando configurar para acessar a receita. Eu já tenho o cartão que utilizo em meu trabalho, e lá funciona (com outro computador e leitora incorporada de cartão), e no Windows 10. Aqui em casa, no Windows 7 não funciona, e nem no Kubuntu que tenho aqui. Essa leitora, segundo o vendedor, é para e-cpf e e-cnpj, ou algo do tipo. Não tenho certeza se é apropriada para se utilizar com o cartão inteligente.

Parece que o problema está na instalação do programa safesignidentityclient. Não consigo a versão para Ubuntu 19.04, só para 16.04.

Recentemente eu tive estes problemas com um novo certificado A3… Eu sempre utilizei o certificado A3 na mesma leitora, e quando chegou o novo cartão a leitora simplesmente não lia, tive que instalar um novo driver.

Para windows 7 ou 10

32 bits
http://drivers.certisign.com.br/midias/tokens/safenet/32bits/certisign10.6-x32-10.6.exe

64 bits
http://drivers.certisign.com.br/midias/tokens/safenet/64bits/certisign10.6-x64-10.6.exe

Agora para Linux confesso que não experimentei nenhuma solução, mas pesquisei e encontrei estes dois métodos “recentes”, veja se algum te serve…

https://wwws.prodemge.gov.br/instaladores-token-cartao-mac-os-e-linux#2-passo-cadeias-de-certificados

http://www.edmarcos.com.br/2018/08/26/configurando-certificado-a3-no-linux-mint-19/

Espero ter ajudado!

Você instalou o drive correto para o seu cartão?

Se você não instalar o drive correto ele não será reconhecido, veja esse tutorial para Ubuntu, talvez possa ajudar.

O programa safesignidentityclient necessita de algumas dependências, se elas não estiverem instaladas e também o drive apropriado para para seu cartão, não irá funcionar.

Juntamente com um outro usuário do Manjaro, nós conseguimos fazer esse processo, mas deu um trabalhinho no inicio.

Saudações.

Valeu, Miura. Vou tentar para Windows. Apesar de instalar o driver corretamente, não funciona. Mas é só uma tentativa mesmo. Não é essencial para mim. Gostaria de aproveitar, já que tenho o leitor e o cartão, de utilizar em minha residência. Obrigado pela atenção e ajuda. Não desisti ainda. Se tiver sucesso, posto aqui. Obrigado mesmo!

1 Curtida

Bom, @tioguda, realmente é isso que tenho tentado. Estou utilizando o Ubuntu mais novo, mas as instruções são para o Ubuntu 16.04. O driver que tem na Valid não instala em outra versão da distro. Nesse momento estou com o Radix, do Raul Dipeas. Vou tentar nele. Quem sabe, né? Obrigado!

Eu sei que não instala normalmente, mas por isso que enviei o link.
Nele é informado alguns pacotes que são necessário instalar antes do programa da Valid (ele não é o drive), nós utilizamos algo parecido para que ele funcionasse no Manjaro.

Os tutoriais para isso são “velhos” e muitos usuários não compreendem, por esse motivo juntamente com outro usuário, estamos montando um para usuários do Manjaro.

Além de instalar esse pacote da Valid, você tem que instalar o drive do seu token, leitora ou cartão. Muitos erram nessa parte, não instalam o drive do seu token, leitora ou cartão e por isso não funciona corretamente.

Saudações.

Ps: eu coloquei informação “a mais” para já deixar a informação para outras pessoas que usam esses pacotes, não falei necessariamente sobre você ok.

@ricardomoc, encontrei esse outro tutorial, não sei se funciona, mas achei que talvez ele possa lhe ajudar.

Saudações.

2 Curtidas